# ai_api_test_docs

AI-powered API test and documentation generator using Google Gemini.

## Installation

```sh
pip install ai_api_test_docs
```

## Usage

```sh
ai_api_test_docs
```

### Instructions

1. Open your **command-line interface (CLI)**.
2. **Navigate to your project's parent directory** using `cd`. For example:

   ```sh
   cd path/to/your/projects/
   ```

3. **Run the tool**:

   ```sh
   ai_api_test_docs
   ```

4. Follow the on-screen prompts:
   - Select the **target project folder**.
   - Provide your **Google Gemini API key** when prompted.
   - Choose between generating:
     - API documentation
     - API test scripts
   - Selections are made via **numbered or lettered options** (e.g., `1`, `2`, etc.), **not by typing full names**.

5. Let the tool generate the content for you. Output files will be saved in the selected project folder.

### Delete Stored API Key

To remove your stored Gemini API key:

```sh
ai_api_test_docs delete_key
```

## Requirements

- Python 3.9 or higher
- Google Gemini API key (prompted automatically on first use)

> **Note:** This tool uses AI to generate tests and documentation. AI-generated content may contain mistakes or inaccuracies. Always **review and verify** the output before using it in production.

> **Function/Class/Module Description:**  
> Performs the specified operations as described in the implementation.
>
> **Author:** Ezeana Micheal  
> **Note:** This tool and documentation was created by Ezeana Micheal.
